OpenTTD Source: LoggedChangeRevision Struct Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Data Fields
LoggedChangeRevision Struct Reference
Inheritance diagram for LoggedChangeRevision:

## Public Member Functions
| LoggedChangeRevision (const std::string &text, uint32_t newgrf, uint16_t slver, uint8_t modified)
void | FormatTo (std::back_insert_iterator< std::string > &output_iterator, GrfIDMapping &grf_names, GamelogActionType action_type) override
Public Member Functions inherited from LoggedChange
| LoggedChange (GamelogChangeType type=GLCT_NONE)

## Data Fields
std::string | text
| revision string, _openttd_revision
uint32_t | newgrf
| _openttd_newgrf_version
uint16_t | slver
| _sl_version
uint8_t | modified
Data Fields inherited from LoggedChange
GamelogChangeType | ct

## Detailed Description

Definition at line 49 of file gamelog_internal.h.

## Constructor & Destructor Documentation

## ◆ LoggedChangeRevision() [1/2]

LoggedChangeRevision::LoggedChangeRevision | ( |  | ) |
| inline

Definition at line 50 of file gamelog_internal.h.

## ◆ LoggedChangeRevision() [2/2]

LoggedChangeRevision::LoggedChangeRevision | ( | const std::string & | text,
|  | uint32_t | newgrf,
|  | uint16_t | slver,
|  | uint8_t | modified
| ) |  |
| inline

Definition at line 51 of file gamelog_internal.h.

## Member Function Documentation

## ◆ FormatTo()

void LoggedChangeRevision::FormatTo | ( | std::back_insert_iterator< std::string > & | output_iterator,
|  | GrfIDMapping & | grf_names,
|  | GamelogActionType | action_type
| ) |  |
| overridevirtual

Implements LoggedChange.

Definition at line 177 of file gamelog.cpp.

## Field Documentation

## ◆ modified

uint8_t LoggedChangeRevision::modified

Definition at line 58 of file gamelog_internal.h.

## ◆ newgrf

uint32_t LoggedChangeRevision::newgrf

_openttd_newgrf_version

Definition at line 56 of file gamelog_internal.h.

Referenced by Gamelog::Info(), and Gamelog::TestRevision().

## ◆ slver

uint16_t LoggedChangeRevision::slver

_sl_version

Definition at line 57 of file gamelog_internal.h.

## ◆ text

std::string LoggedChangeRevision::text

revision string, _openttd_revision

Definition at line 55 of file gamelog_internal.h.

Referenced by Gamelog::TestRevision().

The documentation for this struct was generated from the following files:

- src/gamelog_internal.h
- src/gamelog.cpp